> For the complete documentation index, see [llms.txt](https://docs.mulearn.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mulearn.org/api-reference/user.md).

# User

## GET /api/v1/dashboard/user/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/":{"get":{"operationId":"dashboard_user_retrieve","tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/user/{user\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/{user_id}/":{"get":{"operationId":"dashboard_user_retrieve_2","parameters":[{"in":"path","name":"user_id","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/user/{user\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/{user_id}/":{"delete":{"operationId":"dashboard_user_destroy","parameters":[{"in":"path","name":"user_id","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/user/{user\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/{user_id}/":{"patch":{"operationId":"dashboard_user_partial_update","parameters":[{"in":"path","name":"user_id","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/user/csv/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/csv/":{"get":{"operationId":"dashboard_user_csv_retrieve","tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/user/forgot-password/

> Create Forgot Password.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/forgot-password/":{"post":{"operationId":"dashboard_user_forgot_password_create","description":"Create Forgot Password.","tags":["User"],"responses":{"200":{"description":"Forgot-password email sent"}}}}}}
```

## GET /api/v1/dashboard/user/info/

> Retrieve User Info.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","Other","Prefer not to say","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female\n* `Other` - Other\n* `Prefer not to say` - Prefer not to say","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"},"company":{"type":"string","readOnly":true}},"required":["company","dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/dashboard/user/info/":{"get":{"operationId":"dashboard_user_info_retrieve","description":"Retrieve User Info.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/user/organization/

> Retrieve User Add Org.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"GetUserLink":{"type":"object","properties":{"org_id":{"type":"string"},"org_title":{"type":"string"},"dept_id":{"type":"string","nullable":true},"dept_title":{"type":"string","nullable":true},"is_alumni":{"type":"boolean"}},"required":["is_alumni","org_id","org_title"]}}},"paths":{"/api/v1/dashboard/user/organization/":{"get":{"operationId":"dashboard_user_organization_retrieve","description":"Retrieve User Add Org.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/GetUserLink"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/user/organization/

> Create User Add Org.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserOrgLink":{"type":"object","properties":{"department":{"type":"string","nullable":true},"graduation_year":{"type":"string","nullable":true},"organization":{"type":"string","nullable":true},"is_alumni":{"type":"boolean"},"is_student":{"type":"boolean","nullable":true,"default":false}},"required":["organization"]}}},"paths":{"/api/v1/dashboard/user/organization/":{"post":{"operationId":"dashboard_user_organization_create","description":"Create User Add Org.","tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserOrgLink"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserOrgLink"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserOrgLink"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserOrgLink"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/user/organization/list/

> Retrieve User Add Org.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"GetUserLink":{"type":"object","properties":{"org_id":{"type":"string"},"org_title":{"type":"string"},"dept_id":{"type":"string","nullable":true},"dept_title":{"type":"string","nullable":true},"is_alumni":{"type":"boolean"}},"required":["is_alumni","org_id","org_title"]}}},"paths":{"/api/v1/dashboard/user/organization/list/":{"get":{"operationId":"dashboard_user_organization_list_retrieve","description":"Retrieve User Add Org.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/GetUserLink"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/user/organization/list/

> Create User Add Org.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserOrgLink":{"type":"object","properties":{"department":{"type":"string","nullable":true},"graduation_year":{"type":"string","nullable":true},"organization":{"type":"string","nullable":true},"is_alumni":{"type":"boolean"},"is_student":{"type":"boolean","nullable":true,"default":false}},"required":["organization"]}}},"paths":{"/api/v1/dashboard/user/organization/list/":{"post":{"operationId":"dashboard_user_organization_list_create","description":"Create User Add Org.","tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserOrgLink"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserOrgLink"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserOrgLink"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserOrgLink"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/user/preferences/

> Retrieve User Preferences.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","Other","Prefer not to say","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female\n* `Other` - Other\n* `Prefer not to say` - Prefer not to say","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"},"company":{"type":"string","readOnly":true}},"required":["company","dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/dashboard/user/preferences/":{"get":{"operationId":"dashboard_user_preferences_retrieve","description":"Retrieve User Preferences.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PATCH /api/v1/dashboard/user/preferences/

> Partially update User Preferences.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","Other","Prefer not to say","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female\n* `Other` - Other\n* `Prefer not to say` - Prefer not to say","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"},"company":{"type":"string","readOnly":true}},"required":["company","dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/dashboard/user/preferences/":{"patch":{"operationId":"dashboard_user_preferences_partial_update","description":"Partially update User Preferences.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/user/profile/update/

> Create User Profile Picture.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","Other","Prefer not to say","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female\n* `Other` - Other\n* `Prefer not to say` - Prefer not to say","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"},"company":{"type":"string","readOnly":true}},"required":["company","dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/dashboard/user/profile/update/":{"post":{"operationId":"dashboard_user_profile_update_create","description":"Create User Profile Picture.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PATCH /api/v1/dashboard/user/profile/update/

> Partially update User Profile Picture.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"User":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"gender":{"enum":["Male","Female","Other","Prefer not to say","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female\n* `Other` - Other\n* `Prefer not to say` - Prefer not to say","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"exist_in_guild":{"type":"boolean"},"joined":{"type":"string"},"roles":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"dynamic_type":{"type":"string","readOnly":true},"user_domains":{"type":"string","readOnly":true},"user_endgoals":{"type":"string","readOnly":true},"interested_in_work":{"type":"boolean"},"interested_in_gig_work":{"type":"boolean"},"company":{"type":"string","readOnly":true}},"required":["company","dynamic_type","email","full_name","joined","muid","profile_pic","roles","user_domains","user_endgoals"]}}},"paths":{"/api/v1/dashboard/user/profile/update/":{"patch":{"operationId":"dashboard_user_profile_update_partial_update","description":"Partially update User Profile Picture.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/User"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/user/reset-password/{token}/

> Create Reset Password Confirm.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/reset-password/{token}/":{"post":{"operationId":"dashboard_user_reset_password_create","description":"Create Reset Password Confirm.","parameters":[{"in":"path","name":"token","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"200":{"description":"Password reset confirmation"}}}}}}
```

## POST /api/v1/dashboard/user/reset-password/verify-token/{token}/

> Create Reset Password Verify Token.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserResetPasswordVerifyTokenResponse":{"type":"object","properties":{"muid":{"type":"string"}},"required":["muid"]}}},"paths":{"/api/v1/dashboard/user/reset-password/verify-token/{token}/":{"post":{"operationId":"dashboard_user_reset_password_verify_token_create","description":"Create Reset Password Verify Token.","parameters":[{"in":"path","name":"token","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserResetPasswordVerifyTokenResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/user/search/

> Retrieve User Search.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserBasicDetails":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"full_name":{"type":"string","maxLength":150},"muid":{"type":"string","maxLength":100},"interest_groups":{"type":"string","readOnly":true},"organizations":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true},"karma":{"type":"string"}},"required":["full_name","interest_groups","karma","muid","organizations","profile_pic"]}}},"paths":{"/api/v1/dashboard/user/search/":{"get":{"operationId":"dashboard_user_search_retrieve","description":"Retrieve User Search.","tags":["User"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserBasicDetails"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/user/verification/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/verification/":{"get":{"operationId":"dashboard_user_verification_retrieve","tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/user/verification/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/verification/":{"delete":{"operationId":"dashboard_user_verification_destroy","tags":["User"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/user/verification/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/verification/":{"patch":{"operationId":"dashboard_user_verification_partial_update","tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/user/verification/{link\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/verification/{link_id}/":{"get":{"operationId":"dashboard_user_verification_retrieve_2","parameters":[{"in":"path","name":"link_id","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/user/verification/{link\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/verification/{link_id}/":{"delete":{"operationId":"dashboard_user_verification_destroy_2","parameters":[{"in":"path","name":"link_id","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/user/verification/{link\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/verification/{link_id}/":{"patch":{"operationId":"dashboard_user_verification_partial_update_2","parameters":[{"in":"path","name":"link_id","schema":{"type":"string"},"required":true}],"tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/user/verification/csv/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/user/verification/csv/":{"get":{"operationId":"dashboard_user_verification_csv_retrieve","tags":["User"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mulearn.org/api-reference/user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
